comedi_reset_channel
Prev | 5.4.6. Extensions | Next

## Name

comedi_reset_channel — reset a subdevice channel

## Synopsis

    #include <comedilib.h>

`int comedi_reset_channel(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel`)`;

## Status

alpha

## Description

This function resets a specified channel of a subdevice. It is only useable on subdevices that provide support for the `INSN_CONFIG_RESET` configuration instruction. Some subdevices treat this as an instruction to reset the whole subdevice and ignore the specified channel. For such subdevices, `comedi_reset` is normally called instead.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_reset | Home | comedi_set_clock_source